Package com.google.android.exoplayer2.testutil

## Class FakeClock.HandlerMessage

- java.lang.Object
- - com.google.android.exoplayer2.testutil.FakeClock.HandlerMessage

- All Implemented Interfaces:
    `HandlerWrapper.Message`, `Comparable<FakeClock.HandlerMessage>`
  Enclosing class:
    FakeClock

      protected final class FakeClock.HandlerMessage
      extends Object
      implements Comparable<FakeClock.HandlerMessage>, HandlerWrapper.Message

  Message data saved to send messages or execute runnables at a later time on a Handler.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(FakeClock.HandlerMessage other)` |
    `HandlerWrapper` | `getTarget()` | See `Message.getTarget()`.
    `void` | `sendToTarget()` | See `Message.sendToTarget()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### sendToTarget

          public void sendToTarget()

      Description copied from interface: `HandlerWrapper.Message`
      See `Message.sendToTarget()`.
      Specified by:
        `sendToTarget` in interface `HandlerWrapper.Message`

    - #### getTarget

          public HandlerWrapper getTarget()

      Description copied from interface: `HandlerWrapper.Message`
      See `Message.getTarget()`.
      Specified by:
        `getTarget` in interface `HandlerWrapper.Message`

    - #### compareTo

          public int compareTo​(FakeClock.HandlerMessage other)

      Specified by:
        `compareTo` in interface `Comparable<FakeClock.HandlerMessage>`